using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;
using System.Windows.Input;

// 基本ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234237 を参照してください

namespace FooEditor
{
    /// <summary>
    /// 多くのアプリケーションに共通の特性を指定する基本ページ。
    /// </summary>
    public sealed partial class FileTypeDetailFlyout : SettingsFlyout
    {
        FileTypeDetailFlyoutViewModel vm = new FileTypeDetailFlyoutViewModel();
        public FileTypeDetailFlyout()
        {
            this.InitializeComponent();
            this.LineBreakMethodCollection.ItemsSource = LineBreakMethodEnumCollection.Get();
            this.FlyLayoutCotent.DataContext = this.vm;
        }

        public FileTypeDetailFlyout(FileType e)
            : this()
        {
            this.vm.FileType = e;
        }
    }
}
